gstreamermm: Gst::GioSrc Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::GioSrc Class Reference
gstreamermm Plugins

A Wrapper for the giosrc plugin. More...

Inheritance diagram for Gst::GioSrc:
[legend]
Collaboration diagram for Gst::GioSrc:
[legend]

List of all members.

## Public Member Functions
virtual | ~GioSrc ()
GstGioSrc* | gobj ()
| Provides access to the underlying C GObject.
const GstGioSrc* | gobj () const
| Provides access to the underlying C GObject.
GstGioSrc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::ustring > | property_location ()
| URI location to read from.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_location () const
| URI location to read from.
Glib::PropertyProxy < Glib::RefPtr< Gio::File > > | property_file ()
| GFile to read from.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gio::File > > | property_file () const
| GFile to read from.
## Static Public Member Functions
static Glib::RefPtr< GioSrc > | create ()
| Creates a new giosrc plugin with a unique name.
static Glib::RefPtr< GioSrc > | create (const Glib::ustring& name)
| Creates a new giosrc plugin with the given name.
## Protected Member Functions
| GioSrc ()
| GioSrc (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::GioSrc > | wrap (GstGioSrc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the giosrc plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::GioSrc::~GioSrc | ( |  | ) | `[virtual]`

Gst::GioSrc::GioSrc | ( |  | ) | `[protected]`

Gst::GioSrc::GioSrc | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<GioSrc> Gst::GioSrc::create | ( |  | ) | `[static]`

Creates a new giosrc plugin with a unique name.

static Glib::RefPtr<GioSrc> Gst::GioSrc::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new giosrc plugin with the given name.

const GstGioSrc* Gst::GioSrc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSrc.

GstGioSrc* Gst::GioSrc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSrc.

GstGioSrc* Gst::GioSrc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSrc.

Glib::PropertyProxy< Glib::RefPtr<Gio::File> > Gst::GioSrc::property_file | ( |  | ) |

GFile to read from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gio::File> > Gst::GioSrc::property_file | ( |  | ) | const

GFile to read from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::GioSrc::property_location | ( |  | ) |

URI location to read from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::GioSrc::property_location | ( |  | ) | const

URI location to read from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::GioSrc > wrap | ( | GstGioSrc * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/giosrc.h